win_chocolatey_source – Manages Chocolatey sources — Ansible Documentation

- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# win_chocolatey_source – Manages Chocolatey sources

New in version 2.7.

- Synopsis
- Parameters
- See Also
- Examples
- Status

## Synopsis

- Used to managed Chocolatey sources configured on the client.
- Requires Chocolatey to be already installed on the remote host.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
admin_only boolean | Choices: no yes | Makes the source visible to Administrators only. Requires Chocolatey >= 0.10.8. When creating a new source, this defaults to `no`.
allow_self_service boolean | Choices: no yes | Allow the source to be used with self-service Requires Chocolatey >= 0.10.4. When creating a new source, this defaults to `no`.
bypass_proxy boolean | Choices: no yes | Bypass the proxy when using this source. Requires Chocolatey >= 0.10.4. When creating a new source, this defaults to `no`.
certificate string |  | The path to a .pfx file to use for X509 authenticated feeds. Requires Chocolatey >= 0.9.10.
certificate_password - |  | The password for certificate if required. Requires Chocolatey >= 0.9.10.
name - / required |  | The name of the source to configure.
priority integer |  | The priority order of this source compared to other sources, lower is better. All priorities above `0` will be evaluated first, then zero-based values will be evaluated in config file order. Requires Chocolatey >= 0.9.9.9. When creating a new source, this defaults to `0`.
source - |  | The file/folder/url of the source. Required when state is `present` or `disabled` and the source does not already exist.
source_password - |  | The password for source_username. Required if source_username is set.
source_username - |  | The username used to access source.
state - | Choices: absent disabled present ← | When `absent`, will remove the source. When `disabled`, will ensure the source exists but is disabled. When `present`, will ensure the source exists and is enabled.
update_password - | Choices: always ← on_create | When `always`, the module will always set the password and report a change if certificate_password or source_password is set. When `on_create`, the module will only set the password if the source is being created.

## See Also

See also

win_chocolatey – Manage packages using chocolatey
  The official documentation on the win_chocolatey module.
win_chocolatey_config – Manages Chocolatey config settings
  The official documentation on the win_chocolatey_config module.
win_chocolatey_facts – Create a facts collection for Chocolatey
  The official documentation on the win_chocolatey_facts module.
win_chocolatey_feature – Manages Chocolatey features
  The official documentation on the win_chocolatey_feature module.

## Examples

    - name: Remove the default public source
      win_chocolatey_source:
        name: chocolatey
        state: absent

    - name: Add new internal source
      win_chocolatey_source:
        name: internal repo
        state: present
        source: http://chocolatey-server/chocolatey

    - name: Create HTTP source with credentials
      win_chocolatey_source:
        name: internal repo
        state: present
        source: https://chocolatey-server/chocolatey
        source_username: username
        source_password: password

    - name: Disable Chocolatey source
      win_chocolatey_source:
        name: chocolatey
        state: disabled

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Jordan Borean (@jborean93)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.